org.apache.ivy.ant

## Class BuildOBRTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.ivy.ant.IvyTask
      - - org.apache.ivy.ant.IvyPostResolveTask
        - - org.apache.ivy.ant.IvyCacheTask
          - - org.apache.ivy.ant.BuildOBRTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class BuildOBRTask
    extends IvyCacheTask

### Field Summary

### Fields inherited from class org.apache.ivy.ant.IvyTask

`ANT_PROJECT_CONTEXT_KEY`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`BuildOBRTask()`

### Method Summary

Methods
`void` `doExecute()` The real logic of task execution after project has been set in the context.
`protected void` `prepareTask()` Called when task starts its execution.
`void` `setBaseDir(java.io.File dir)`
`void` `setCache(java.lang.String cacheName)`
`void` `setEncoding(java.lang.String encoding)`
`void` `setIndent(boolean indent)`
`void` `setOut(java.io.File file)`
`void` `setQuiet(boolean quiet)`
`void` `setResolver(java.lang.String resolverName)`
`void` `setSourceType(java.lang.String sourceType)`

### Methods inherited from class org.apache.ivy.ant.IvyCacheTask

`getArtifactReports`

### Methods inherited from class org.apache.ivy.ant.IvyPostResolveTask

`createConflict, createDependency, createExclude, ensureResolved, getArtifactFilter, getBranch, getConf, getConfsToResolve, getConfsToResolve, getFile, getLog, getModule, getOrganisation, getResolvedModuleId, getResolvedMrid, getResolvedReport, getResolveId, getResolveMode, getRevision, getType, isChanging, isHaltonfailure, isInline, isKeep, isRefresh, isTransitive, isUseOrigin, prepareAndCheck, setBranch, setCache, setChanging, setConf, setFile, setHaltonfailure, setInline, setKeep, setLog, setModule, setOrganisation, setRefresh, setResolveId, setResolveMode, setRevision, setTransitive, setType, setupResolve, setUseOrigin`

### Methods inherited from class org.apache.ivy.ant.IvyTask

`cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BuildOBRTask

    public BuildOBRTask()

### Method Detail

#### setResolver

    public void setResolver(java.lang.String resolverName)

#### setCache

    public void setCache(java.lang.String cacheName)

#### setOut

    public void setOut(java.io.File file)

#### setEncoding

    public void setEncoding(java.lang.String encoding)

#### setIndent

    public void setIndent(boolean indent)

#### setBaseDir

    public void setBaseDir(java.io.File dir)

#### setQuiet

    public void setQuiet(boolean quiet)

#### setSourceType

    public void setSourceType(java.lang.String sourceType)

#### prepareTask

    protected void prepareTask()

Description copied from class: `IvyTask`
Called when task starts its execution.

Overrides:
  `prepareTask` in class `IvyTask`

#### doExecute

    public void doExecute()
                   throws org.apache.tools.ant.BuildException

Description copied from class: `IvyTask`
The real logic of task execution after project has been set in the context. MUST be implemented by subclasses

Specified by:
  `doExecute` in class `IvyTask`
Throws:
  `org.apache.tools.ant.BuildException`